New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

undefined: atomic.Value #1584

Closed
poiuty opened this Issue Aug 3, 2015 · 2 comments

Comments

Projects
None yet
3 participants
@poiuty

poiuty commented Aug 3, 2015

github.com/ethereum/go-ethereum/p2p
github.com/ethereum/go-ethereum/core/types
github.com/ethereum/go-ethereum/core/vm
# github.com/ethereum/go-ethereum/core/types
build/_workspace/src/github.com/ethereum/go-ethereum/core/types/transaction.go:43: undefined: atomic.Value
build/_workspace/src/github.com/ethereum/go-ethereum/core/types/transaction.go:44: undefined: atomic.Value
build/_workspace/src/github.com/ethereum/go-ethereum/core/types/transaction.go:45: undefined: atomic.Value
Makefile:9: recipe for target 'geth' failed
make: *** [geth] Error 2
ethereum@ns368422:~/go-ethereum-1.0.0$
@fjl

This comment has been minimized.

Show comment
Hide comment
@fjl

fjl Aug 4, 2015

Contributor

You need Go 1.4 or a later version to build go-ethereum.

Contributor

fjl commented Aug 4, 2015

You need Go 1.4 or a later version to build go-ethereum.

@fjl fjl closed this Aug 4, 2015

@xurunhua

This comment has been minimized.

Show comment
Hide comment
@xurunhua

xurunhua Aug 16, 2016

Hi there,

I used Go 1.4 and 1.5 but have the same error. Did you figure out why and how to fix it? Thanks!

Hi there,

I used Go 1.4 and 1.5 but have the same error. Did you figure out why and how to fix it? Thanks!

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment